#!/bin/sh -e

echo "Cleaning.."
rm -rf bin
mkdir bin

echo "Assembling.."
uxnasm src/main.tal bin/nasu.rom 

echo "Installing.."
if [ -d "$HOME/roms" ] && [ -e ./bin/nasu.rom ]
then
	cp ./bin/nasu.rom $HOME/roms
    echo "Installed in $HOME/roms" 
fi

if [ "${1}" = '--push' ]; 
then
	echo "Pushing.."
	~/Applications/butler push bin/nasu.rom hundredrabbits/nasu:uxn
fi

echo "Running.."
uxnemu bin/nasu.rom
